KATE(1)

NAME
kate - Geavanceerde teksteditor voor KDE

SAMENVATTING

kate [-s, --start naam] [--startanon] [-n, --new] [-b, --block] [-p, --pid pid] [-e, --encoding naam] [-l, --line regel] [-c, --column kolom] [-i, --stdin] [-u, --use] [KDE-generieke opties] [Qt-generieke opties]

BESCHRIJVING

Kate is de KDE Advanced Text Editor.

Kate levert ook het tekstinvoergedeelte voor veel andere toepassingen, waaronder KWrite.

Enkele van Kate's vele functies zijn instelbare syntaxis-accentuering voor talen variërend van C en C++ tot HTML en bash-scripts; de mogelijkheid om projecten aan te maken en te beheren, multi-document-interface (MDI) en een ingesloten terminal.

Kate is echter meer dan een editor voor programmeurs. De mogelijkheid om meerdere bestanden tegelijkertijd te openen maakt Kate ideaal om de vele configuratiebestanden van UNIX® aan te passen. Dit document werd geschreven in Kate.

OPTIES

-s, --start naam
    Start Kate met een opgegeven sessie.

--startanon
    Kate starten met een nieuwe anonieme sessie, houdt -n in

-n, --new
    Forceer de start van een nieuw Kate-proces (wordt genegeerd als de start wordt gebruikt en een ander Kate-proces heeft de gegeven sessie al geopend), geforceerd als helemaal geen parameters en URL's zijn gegeven.

-b, --block
    Bij gebruik van een al draaiend Kate-proces, blokkeren totdat deze gereed is, als er te openen URL's zijn gegeven.

-p, --pid pid
    Probeer alleen het Kate-proces met deze pid te hergebruiken (wordt genegeerd als start wordt gebruikt en een ander Kate-proces de gegeven sessie heeft geopend).

-e, --encoding naam
    Codering zetten voor het te openen bestand

    U kunt dit gebruiken om bijv. een bestand te openen in utf8-codering. Het commando iconv -l levert een lijst met beschikbare tekensetcoderingen.

-l, --line regel
    Ga naar deze regel

-c, --column kolom
    Ga naar deze kolom

-i, --stdin
    Lees de inhoud van stdin

-u, --use
    Bestaand Kate-proces gebruiken; is standaard, alleen voor compatibiliteit

ZIE OOK

Meer gedetailleerde documentatie is beschikbaar in help:/kate. Voer dit URL-adres in in Konqueror of start khelpcenter help:/kate).

Er is ook meer informatie beschikbaar op de website van Kate[1].

VOORBEELDEN

Om een bestand genaamd source.cpp te openen op kolom 15, regel 25 in een bestaand Kate-venster kunt u dit commando gebruiken:

    kate -c 15 -l
    25 -u source.cpp

Als u met internet verbonden bent, dan kunt u gebruik maken van KDE's netwerktransparantie om een bestand vanaf een ftp-site te openen. Als u geen schrijftoegang hebt tot de server op afstand, dan zal het bestand worden geopend als alleen-lezen en zult u worden gevraagd om een lokale bestandsnaam om uw wijzigingen in op te slaan. Als u schrijftoegang hebt, dan zullen de wijzigingen geheel transparant worden opgeslagen op de ftp-server.

    kate ftp://ftp.kde.org/pub/kde/README

AUTEURS

De onderhouder van Kate is Christoph Cullmann cullmann@kde.org. Een uitgebreide lijst van auteurs en anderen die hebben bijgedragen is te vinden in de gebruikersgids die hierboven werd genoemd.

AUTEUR

Lauri Watts <lauri@kde.org>
    Auteur.

OPMERKINGEN

1.  website van Kate
    http://kate-editor.org/